#
# spec file for package xsynth-dssi
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xsynth-dssi
BuildRequires:  alsa-devel
BuildRequires:  cairo-devel
BuildRequires:  dssi-devel
BuildRequires:  gtk2-devel
BuildRequires:  libjack-devel
BuildRequires:  liblo-devel
BuildRequires:  update-desktop-files
Requires:       dssi
Summary:        Xsynth an analog-style (VCAs-VCF-VCO) synth plugin
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
Version:        0.9.4
Release:        19.22
Url:            http://www.smbolton.com/linux.html
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xsynth-dssi  package contains the Xsynth-DSSI plugin,
a classic-analog (VCOs-VCF-VCA) style software synthesizer
with an editor GUI. Xsynth-DSSI was written by Sean Bolton,
and was based on Steve Brooke's Xsynth code, but has since
aquired polyphonic operation, band-limited oscillators,
a better filter mode, and velocity-sensitive envelopes.

Author:
--------
    Sean Bolton <sean@smbolton.com>

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fPIC" \
%configure  --with-pic --libdir=%{_libdir}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/dssi
%doc README ChangeLog TODO
%{_datadir}/%{name}/

%changelog
* Mon Sep 23 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Replace cairomm-devel with cairo-devel BuildRequires: This
  package does not use any c++ code.
* Sun Oct  5 2014 davejplater@gmail.com
- Require dssi
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Nov 26 2010 davejplater@gmail.com
- Update to version 0.9.4
- Upstream changes :
  * Don't link against alsa-lib (or libdssialsacompat): all we need
    are the ALSA headers.
  * In recent glibc, thread-specific locale functions now need
    '#define _XOPEN_SOURCE 700'.
* Wed Sep 22 2010 davejplater@gmail.com
- Update to version 0.9.3
- Upstream changes :
  * Updated about_bitmap.xpm for 2010.
  * Fixed spurious flags on LADSPA_HINT_TOGGLED ports.
  * Cleaned up exported symbols.
  * GUI knobs now use cairo when available.
  * Fixed patch handling to more gracefully deal with locales: accept
    both native and "C" locales, but emit only "C" (thanks to Martin
    Tarenskeen for the bug report.)
* Sun Feb 21 2010 davejplater@gmail.com
- Created xsynth-dssi-0.9.2
